> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v3/sdk-reference/graph/custom-instructions/delete-custom-instructions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Delete Custom Instructions DELETE https://api.getzep.com/api/v2/custom-instructions Content-Type: application/json Deletes custom instructions for graphs or project wide defaults. Reference: https://docs-beta.getzep.com/sdk-reference/graph/custom-instructions/delete-custom-instructions ## Request ### Body (application/json) This endpoint expects an apidata.DeleteCustomInstructionsRequest. - `graph_ids` (list of string, optional) — Determines which group graphs will have their custom instructions deleted. If no graphs are provided, the project-wide custom instructions will be affected. - `instruction_names` (list of string, optional) — Unique identifier for the instructions to be deleted. If empty deletes all instructions. - `user_ids` (list of string, optional) — Determines which user graphs will have their custom instructions deleted. If no users are provided, the project-wide custom instructions will be affected. ## Response ### 200 Instructions deleted successfully - `message` (string, optional) ## Errors ### 400 Bad Request Error Bad Request - `message` (string, optional) ### 404 Not Found Error Not Found - `message` (string, optional) ### 500 Internal Server Error Internal Server Error - `message` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "message": "Custom instructions deleted successfully." } ```